// Code generated by "stringer -type=CommonCertificateFilterRequestedVia -linecomment -output zzz_CommonCertificateFilterRequestedVia_string.go"; DO NOT EDIT.

package sectigoapiclient

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[CommonCertificateFilterWebForm-1]
	_ = x[CommonCertificateFilterClientAdmin-2]
	_ = x[CommonCertificateFilterAPI-3]
	_ = x[CommonCertificateFilterDiscovery-4]
	_ = x[CommonCertificateFilterImported-5]
	_ = x[CommonCertificateFilterSCEP-6]
	_ = x[CommonCertificateFilterCDAgent-7]
	_ = x[CommonCertificateFilterMSAgent-8]
	_ = x[CommonCertificateFilterMSCA-9]
	_ = x[CommonCertificateFilterBulkRequest-10]
	_ = x[CommonCertificateFilterACME-11]
	_ = x[CommonCertificateFilterEST-12]
	_ = x[CommonCertificateFilterREST-13]
}

const _CommonCertificateFilterRequestedVia_name = "WEB_FORMCLIENT_ADMINAPIDISCOVERYIMPORTEDSCEPCD_AGENTMS_AGENTMS_CABULK_REQUESTACMEESTREST"

var _CommonCertificateFilterRequestedVia_index = [...]uint8{0, 8, 20, 23, 32, 40, 44, 52, 60, 65, 77, 81, 84, 88}

func (i CommonCertificateFilterRequestedVia) String() string {
	i -= 1
	if i < 0 || i >= CommonCertificateFilterRequestedVia(len(_CommonCertificateFilterRequestedVia_index)-1) {
		return "CommonCertificateFilterRequestedVia(" + strconv.FormatInt(int64(i+1), 10) + ")"
	}
	return _CommonCertificateFilterRequestedVia_name[_CommonCertificateFilterRequestedVia_index[i]:_CommonCertificateFilterRequestedVia_index[i+1]]
}
